# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'jekyll serve'. If you change this file, please restart the server process.

title: F-Droid - Free and Open Source Android App Repository
header-title: F-Droid
description: >
  © 2010-2020 F-Droid Limited and Contributors
baseurl: "" # the subpath of your site, e.g. /fdroid-website
url: "http://localhost:4000" # the base hostname & protocol for your site

include:
  - "_pages"
  - ".htaccess"
  - ".well-known"
collections:
  tutorials:
    output: true
    permalink: /tutorials/:title/
  docs:
    output: true
    permalink: /docs/:title/
plugins:
  - jekyll-include-cache
  - jekyll-paginate-v2
  - jekyll-redirect-from
  - jekyll-fdroid
fdroid-repo: https://f-droid.org/repo

strict_front_matter: true

# Liquid error handling
error_mode: strict
strict_variables: true
strict_filters: true

# Languages are manually chosen by looking at languages that are fully
# translated across the whole project. Check with this script:
#   ./tools/check-language-status.sh
languages: [ bo, en, de, es, fa, fr, he, it, ko, pl, pt_BR, ru, tr, uk, zh_Hans, zh_Hant ]
# the languages built and deployed when run with gitlab-ci
gitlab_ci_languages: [ bo, en, fa, zh_Hans ]
# Specifying the default language as "_" forces polyglot to generate a
# en/ subdirectory too (with correct links). See
# https://github.com/untra/polyglot/issues/60
default_lang: "_"
exclude_from_localization:
  - .htaccess
  - .well-known
  - CONTRIBUTING.md
  - LICENSE
  - README.md
  - TRANSLATIONS.md
  - archive
  - assets
  - css
  - feed.xml
  - js
  - po
  - repo
  - robots.txt
  - tools
  - wiki
  - wp-content

# Set a custom cutmark to separate the excerpt from the rest of the post
excerpt_separator: <!--more-->
